=== debian/changelog ===
ros-rolling-rclpy (3.2.1-1focal) focal; urgency=high

  * Fix multi-threaded race condition in client.call_async (#871 <https://github.com/ros2/rclpy/issues/871>)
  * Fix include order for cpplint (#877 <https://github.com/ros2/rclpy/issues/877>)
  * Bugfix/duration to msg precision (#876 <https://github.com/ros2/rclpy/issues/876>)
  * Update to pybind11 2.7.1 (#874 <https://github.com/ros2/rclpy/issues/874>)
  * QoS history depth is only available with KEEP_LAST (#869 <https://github.com/ros2/rclpy/issues/869>)
  * Contributors: Auguste Lalande, Chris Lalancette, Erki Suurjaak, Jacob Perron, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rclpy (3.2.0-1focal) focal; urgency=high

  * Implement managed nodes. (#865 <https://github.com/ros2/rclpy/issues/865>)
  * Make rclpy.try_shutdown() behavior to follow rclpy.shutdown() more closely. (#868 <https://github.com/ros2/rclpy/issues/868>)
  * Update TopicEndpointTypeEnum.__str__() method to include history kind and history depth. (#849 <https://github.com/ros2/rclpy/issues/849>)
  * Add Clock.sleep_for() using Clock.sleep_until(). (#864 <https://github.com/ros2/rclpy/issues/864>)
  * Add Clock.sleep_until() (#858 <https://github.com/ros2/rclpy/issues/858>)
  * Add __enter__ and __exit__ to JumpHandle. (#862 <https://github.com/ros2/rclpy/issues/862>)
  * Don't override rclpy._rclpy_pybind11 docs. (#863 <https://github.com/ros2/rclpy/issues/863>)
  * Improve JumpThreshold documentation and forbid zero durations. (#861 <https://github.com/ros2/rclpy/issues/861>)
  * Fix time.py and clock.py circular import. (#860 <https://github.com/ros2/rclpy/issues/860>)
  * Make context.on_shutdown() allow free functions. (#859 <https://github.com/ros2/rclpy/issues/859>)
  * Fix automatically declared parameters descriptor type. (#853 <https://github.com/ros2/rclpy/issues/853>)
  * Shutdown asynchronously when sigint is received. (#844 <https://github.com/ros2/rclpy/issues/844>)
  * Update maintainers. (#845 <https://github.com/ros2/rclpy/issues/845>)
  * Add entities to callback group before making them available to the executor to avoid a race condition. (#839 <https://github.com/ros2/rclpy/issues/839>)
  * Avoid race condition in client.call(). (#838 <https://github.com/ros2/rclpy/issues/838>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron, Shane Loretz, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 23 Dec 2021 08:00:00 -0000

ros-rolling-rclpy (3.1.0-1focal) focal; urgency=high

  * Handle sigterm. (#830 <https://github.com/ros2/rclpy/issues/830>)
  * Use pybind11 for signal handling, and delete now unused rclpy_common, pycapsule, and handle code. (#814 <https://github.com/ros2/rclpy/issues/814>)
  * Fix memory leak in Service::take_request() and Client::take_response(). (#828 <https://github.com/ros2/rclpy/issues/828>)
  * Add Publisher.wait_for_all_acked(). (#793 <https://github.com/ros2/rclpy/issues/793>)
  * Only add one done callback to a future in Executor. (#816 <https://github.com/ros2/rclpy/issues/816>)
  * Add convert function from ParameterValue to Python builtin. (#819 <https://github.com/ros2/rclpy/issues/819>)
  * Call Context._logging_fini() in Context.try_shutdown(). (#800 <https://github.com/ros2/rclpy/issues/800>)
  * Lift LoggingSeverity enum as common dependency to logging and rcutils_logger modules (#785 <https://github.com/ros2/rclpy/issues/785>)
  * Set Context.__context to None in __init__(). (#812 <https://github.com/ros2/rclpy/issues/812>)
  * Remove unused function make_mock_subscription. (#809 <https://github.com/ros2/rclpy/issues/809>)
  * Contributors: Barry Xu, Chris Lalancette, Ivan Santiago Paunovic, Jacob Perron, Lei Liu, Louise Poubel, Shane Loretz, ksuszka

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-rclpy (3.0.1-1focal) focal; urgency=high

  * Removed common.c/h (#789 <https://github.com/ros2/rclpy/issues/789>)
  * Contributors: Alejandro Hernández Cordero

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 11 Jun 2021 07:00:00 -0000

ros-rolling-rclpy (3.0.0-1focal) focal; urgency=high

  * Allow declaring uninitialized parameters (#798 <https://github.com/ros2/rclpy/issues/798>)
  * Reject cancel request if failed to transit to CANCEL_GOAL state (#791 <https://github.com/ros2/rclpy/issues/791>)
  * Deleted handle as it should no longer be used (#786 <https://github.com/ros2/rclpy/issues/786>)
  * Removed some functions in common.c and replaced them in utils.cpp (#787 <https://github.com/ros2/rclpy/issues/787>)
  * Moved exception.cpp/hpp to the _rclpy_pybind11 module (#788 <https://github.com/ros2/rclpy/issues/788>)
  * Contributors: Alejandro Hernández Cordero, Jacob Perron, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 19 May 2021 07:00:00 -0000

ros-rolling-rclpy (2.0.0-1focal) focal; urgency=high

  * Print 'Infinite' for infinite durations in topic endpoint info (#722 <https://github.com/ros2/rclpy/issues/722>)
  * Break log function execution ASAP if configured severity is too high (#776 <https://github.com/ros2/rclpy/issues/776>)
  * Convert Node and Context to use C++ Classes (#771 <https://github.com/ros2/rclpy/issues/771>)
  * Misc action server improvements (#774 <https://github.com/ros2/rclpy/issues/774>)
  * Misc action goal handle improvements (#767 <https://github.com/ros2/rclpy/issues/767>)
  * Convert Guardcondition to use C++ classes (#772 <https://github.com/ros2/rclpy/issues/772>)
  * Removed unused structs ``rclpy_client_t`` and ``rclpy_service_t`` (#770 <https://github.com/ros2/rclpy/issues/770>)
  * Convert WaitSet to use C++ Classes (#769 <https://github.com/ros2/rclpy/issues/769>)
  * Convert ActionServer to use C++ Classes (#766 <https://github.com/ros2/rclpy/issues/766>)
  * Convert ActionClient to use C++ classes (#759 <https://github.com/ros2/rclpy/issues/759>)

