=== debian/changelog ===
ros-rolling-rclpy (5.2.0-1jammy) jammy; urgency=high

  * add list_parameters & test (#1124 <https://github.com/ros2/rclpy/issues/1124>)
  * Contributors: Minju, Lee

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-rclpy (5.1.0-1jammy) jammy; urgency=high

  * Support to get remapped service name (#1156 <https://github.com/ros2/rclpy/issues/1156>)
  * a couple of typo fixes. (#1158 <https://github.com/ros2/rclpy/issues/1158>)
  * Fix get_type_description service bug and add a unit test (#1155 <https://github.com/ros2/rclpy/issues/1155>)
  * Fix an inherent race in execution vs. destruction. (#1150 <https://github.com/ros2/rclpy/issues/1150>)
  * Cleanup of test_node.py. (#1153 <https://github.com/ros2/rclpy/issues/1153>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rclpy (5.0.1-1jammy) jammy; urgency=high

  * Avoid generating the exception when rcl_send_response times out. (#1136 <https://github.com/ros2/rclpy/issues/1136>)
  * Store time source clocks in a set (#1146 <https://github.com/ros2/rclpy/issues/1146>)
  * Fix spin_once_until_future_complete to quit when the future finishes. (#1143 <https://github.com/ros2/rclpy/issues/1143>)
  * Contributors: Chris Lalancette, Luca Della Vedova, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rclpy (5.0.0-1jammy) jammy; urgency=high

  * get_type_description service (#1139 <https://github.com/ros2/rclpy/issues/1139>)
  * Add in the ability to start timers paused. (#1138 <https://github.com/ros2/rclpy/issues/1138>)
  * Modifies ros_timer_init for ros_timer_init2 (#999 <https://github.com/ros2/rclpy/issues/999>)
  * Fix/param namespace association 894 (#1132 <https://github.com/ros2/rclpy/issues/1132>)
  * Include type hash in topic endpoint info (#1104 <https://github.com/ros2/rclpy/issues/1104>)
  * Contributors: Chris Lalancette, Eloy Briceno, Emerson Knapp, Hans-Joachim Krauch, M. Hofstätter

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rclpy (4.2.2-1jammy) jammy; urgency=high

  * Fix iteration over modified list (#1129 <https://github.com/ros2/rclpy/issues/1129>)
  * making optional things Optional (#974 <https://github.com/ros2/rclpy/issues/974>)
  * Fix type signature of Client.wait_for_service (#1128 <https://github.com/ros2/rclpy/issues/1128>)
  * Contributors: Brian, Felix Divo

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rclpy (4.2.1-1jammy) jammy; urgency=high

  * Fix action server crash when the client goes away. (#1114 <https://github.com/ros2/rclpy/issues/1114>)
  * Turn Executor into a ContextManager (#1118 <https://github.com/ros2/rclpy/issues/1118>)
  * Turn Context into a ContextManager (#1117 <https://github.com/ros2/rclpy/issues/1117>)
  * Fix type in Node init args (#1115 <https://github.com/ros2/rclpy/issues/1115>)
  * Contributors: Chris Lalancette, Felix Divo, Russ

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rclpy (4.2.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rclpy (4.1.0-1jammy) jammy; urgency=high

  * Logging service support (#1102 <https://github.com/ros2/rclpy/issues/1102>)
  * Use custom sourcedir for conf.py (#1109 <https://github.com/ros2/rclpy/issues/1109>)
  * ServerGoalHandle should be destroyed before removing. (#1113 <https://github.com/ros2/rclpy/issues/1113>)
  * Fix unnecessary list comprehension flake8 (#1112 <https://github.com/ros2/rclpy/issues/1112>)
  * Contributors: Barry Xu, Michael Carroll, Tomoya Fujita, Yadu

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rclpy (4.0.0-1jammy) jammy; urgency=high

  * Stub type hash value line in TopicEndpointInfo string (#1110 <https://github.com/ros2/rclpy/issues/1110>)
  * Support documentation generation using rosdoc2 (#1103 <https://github.com/ros2/rclpy/issues/1103>)
  * Fix Time and Duration raising exception when compared to another type (#1007 <https://github.com/ros2/rclpy/issues/1007>)
  * Make rcl_interfaces a build and exec dependency. (#1100 <https://github.com/ros2/rclpy/issues/1100>)
  * Solving Atomic undefined on OSX with clang (#1096 <https://github.com/ros2/rclpy/issues/1096>)
  * Implement matched event (#1083 <https://github.com/ros2/rclpy/issues/1083>)
  * Update service.py documentation (#1094 <https://github.com/ros2/rclpy/issues/1094>)
  * Allow space or empty strings when using ros2 param set (#1093 <https://github.com/ros2/rclpy/issues/1093>)
  * Hook up the incompatible type event inside of rclpy (#1058 <https://github.com/ros2/rclpy/issues/1058>)
  * Switch to using module instead of module_ (#1090 <https://github.com/ros2/rclpy/issues/1090>)
  * Add in subscription.get_publisher_count() (#1089 <https://github.com/ros2/rclpy/issues/1089>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Erki Suurjaak, Felix Divo, GuiHome, Lucas Wendland, Yadu

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rclpy (3.10.0-1jammy) jammy; urgency=high

  * Service introspection (#988 <https://github.com/ros2/rclpy/issues/988>)
  * Contributors: Brian

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rclpy (3.9.0-1jammy) jammy; urgency=high

  * to create a sublogger while getting child of Logger (#1084 <https://github.com/ros2/rclpy/issues/1084>)
  * Fix #983 <https://github.com/ros2/rclpy/issues/983> by saving future and checking for + raising any exceptions (#1073 <https://github.com/ros2/rclpy/issues/1073>)
  * Contributors: Achille Verheye, Chen Lihui

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000


