=== debian/control ===
Source: ros-rolling-rclpy
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-lifecycle-msgs, ros-rolling-pybind11-vendor, ros-rolling-python-cmake-module, ros-rolling-rcl, ros-rolling-rcl-action, ros-rolling-rcl-interfaces, ros-rolling-rcl-lifecycle, ros-rolling-rcl-logging-interface, ros-rolling-rcl-yaml-param-parser, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-implementation, ros-rolling-rmw-implementation-cmake, ros-rolling-rosidl-generator-py <!nocheck>, ros-rolling-rosidl-runtime-c, ros-rolling-test-msgs <!nocheck>, ros-rolling-unique-identifier-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-action-msgs, ros-rolling-ament-index-python, ros-rolling-builtin-interfaces, ros-rolling-lifecycle-msgs, ros-rolling-rcl, ros-rolling-rcl-action, ros-rolling-rcl-interfaces, ros-rolling-rcl-lifecycle, ros-rolling-rcl-logging-interface, ros-rolling-rcl-yaml-param-parser, ros-rolling-rmw, ros-rolling-rmw-implementation, ros-rolling-rosgraph-msgs, ros-rolling-rosidl-runtime-c, ros-rolling-rpyutils, ros-rolling-unique-identifier-msgs, ros-rolling-ros-workspace
Description: Package containing the Python client.
